![yexpert-logo.png](./images/yexpert-logo.png)

# Interface Web pour votre système expert... 

Cette arborescence fournit une interface Web et les outils que vous aurez besoin pour votre système expert. Elle est maintenue par Yrelay et diffusée sous licence libre. Cette version comprend des contributions communautaires libres acceptées par Yrelay.

Disclaimer : Yexpert est encore en développement et son interface peut changer dans les futures versions. Utilisez cette production à vos propres risques.

Ce dépot est fortement inspiré de l'application [EWD.js](http://www.mgateway.com/) de Rob Tweed (Merci).

## 1. Contributions communautaires libres dans ce dépôt

### 1.1. NVM - Node.js Version Manager

[NVM](https://github.com/creationix/nvm) permet d'installer et gérer différentes versions de Node.js et la liaison des versions locales dans des répertoires spécifiques.

### 1.2. Node.js - plateforme serveur en JavaScript

[Node.js](https://nodejs.org/) est une plateforme logicielle libre et événementielle en JavaScript orientée vers les applications réseau qui doivent pouvoir monter en charge. Elle utilise la machine virtuelle V8 et implémente sous licence MIT les spécifications CommonJS. Node.js contient une bibliothèque de serveur HTTP intégrée, ce qui rend possible de faire tourner un serveur web sans avoir besoin d'un logiciel externe comme Apache ou Lighttpd, et permettant de mieux contrôler la façon dont le serveur web fonctionne.

### 1.3. GT.M - Base de données & compilateur MUMPS sous GNU/Linux

[GT.M](https://nodejs.org/) est une base de donnée robuste ; Cette plate forme d’application de traitement transactionnel se compose d’un moteur de base de données optimisé pour des sorties élevées et d’un compilateur pour le langage de programmation M (MUMPS). GT.M est un logiciel libre open-source qui fonctionne sous x86/Linux.

### 1.4. EWD.js - Applications serveur/conteneur pour une utilisation avec les bases de données Caché, GlobalsDB, GT.M and MongoDB databases

[EWD.js](http://www.mgateway.com/) est un framework basé [Node.js](https://nodejs.org/), il fait parti d'une longue liste dont les plus connus sont [Express](http://expressjs.com/) and [Meteor.js](https://www.meteor.com/).  Voir [ici](http://nodeframework.com/#mvc) une liste assez complète des frameworks basés sur Nodes.js.

### 1.5. NodeM - Module Node.js de liaison pour le langage et base de données GT.M

[ModeM](https://github.com/dlwicksell/nodem) est un module open source add-on pour Node.js. Ce module Node.js permet via l'interface C Call-in, la communication en Javascript avec la base de données GT.M. Depuis le module Node.js, vous pouvez effectuer les opérations de manipulation de base de la base de données et invoquer également les fonctions mumps de GT.M. 

### 1.6. Axiom - Ensemble d'outils de développement

[Axiom](https://github.com/dlwicksell/axiom) est un ensemble d'outils de développement pour l'édition des routines mumps de GT.M dans l'environnement Vim.

## 2. Comment tester Yexpert-JS ?

Pour tester Yexpert-JS, vous pouvez installer [Yexpert-Box](https://github.com/Yrelay/Yexpert-Box).

## 3. Comment contribuer ?

* Dupliquer le dépôt (utiliser Fork)
* Créer un nouvelle branche (git checkout -b ma-branche)
* Commit(er) votre proposition d'évolution (git commit -am 'Ajouter mon évolution')
* Push(er) la branche (git push origin ma-branche)
* Créer une demande d'évolution (utiliser Pull Requests)

Pour remonter un bug : [https://github.com/Yrelay/Yexpert-Term/issues](https://github.com/Yrelay/Yexpert-Term/issues)

## 4. Liens

* Yrelay Page d'accueil : [https://www.yrelay.fr/](https://www.yrelay.fr/)
* Yrelay Référentiels : [https://code.yrelay.fr/](https://code.yrelay.fr/)
* Yrelay Github : [https://github.com/Yrelay/](https://github.com/Yrelay/)


